## gtg-trace 0.2

=== exm/Makefile ===
BIN= paje_example paje_example2 gtg_color otf_example

all: $(BIN)
paje_example: paje_example.c
	gcc -Wall -W -o paje_example paje_example.c $(CFLAGS) $(LDFLAGS) -lgtg -lpthread

paje_example2: paje_example2.c
	gcc -Wall -W -o paje_example2 paje_example2.c $(CFLAGS) $(LDFLAGS) -lgtg -lpthread

gtg_color: gtg_color.c
	gcc -Wall -W -o gtg_color gtg_color.c $(CFLAGS) $(LDFLAGS) -lgtg -lpthread

otf_example: otf_example.c
	gcc -Wall -W -o otf_example otf_example.c $(CFLAGS) $(LDFLAGS) -lgtg -lpthread -lotf

clean:
	rm -f $(BIN)

cleantraces:
	rm -f *def *marker *otf *events *trace *ept

=== test/Makefile ===
LIB=$(LDFLAGS) -lgtg
INC= -I../install/include/
BIN=bin
CC =mpicc
LDFLAGS += -L../install/lib
#-Wl,-rpath=/home/glaurt7/Bureau/carriere/projets_perso/GTG/gtg/trunk/src/.libs

.phony	: bin obj

all	: dir testState testEvent testLink testVar testAll testState_parall testEvent_parall testEvent_mpi

dir	:
		mkdir -p $(BIN)

testAll		: testAll.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

testState	: testState.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

testState_parall	: testState_parall.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

testEvent_parall	: testEvent_parall.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

testEvent_mpi	: testEvent_mpi.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

testEvent	: testEvent.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

testLink	: testLink.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

testVar		: testVar.c
		$(CC) $^ -o $(BIN)/$@ $(CFLAGS) $(INC) $(LIB)

clean	:
		rm -rf $(BIN) *~

=== doc/userMan/Makefile ===
all	:
		pdflatex userMan.tex
		pdflatex userMan.tex
		
clean	: 
		rm -f *~ *.aux *.toc

## gtg-trace 0.2%2Bdfsg

=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=2813 /frs/download.php/.*/gtg-(.*)\.tar\.gz

## gtg-trace 0.2+dfsg

=== debian/changelog ===
gtg-trace (0.2+dfsg-1build1) trusty; urgency=medium

  * No-change rebuild for otf transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:15:23 -0500

gtg-trace (0.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #668218)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Apr 2012 18:02:31 +0200

=== debian/control ===
Source: gtg-trace
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.1.3), autotools-dev, dh-autoreconf, hardening-wrapper,
	libotf-trace-dev, gfortran, mpi-default-dev,
	doxygen, doxygen-latex
Standards-Version: 3.9.3
Section: libs
Homepage: http://gforge.inria.fr/projects/gtg/
Vcs-Git: git://git.debian.org/collab-maint/gtg-trace.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gtg-trace.git;a=summary

Package: libgtg-dev
Section: libdevel
Architecture: any
Depends: libgtg0 (= ${binary:Version}), ${misc:Depends}
Description: Generic Trace Generator (GTG) - development files
 The GTG library provides a low level library to generate execution
 traces in Paje or OTF formats.
 .
 This package contains the development files

Package: libgtg0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Generic Trace Generator (GTG) - shared library
 The GTG library provides a low level library to generate execution
 traces in Paje or OTF formats.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_HARDENING=1

%:
	dh $@  --with autotools-dev,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--with-otf=/usr

## gtg-trace 0.2-2%2Bdfsg

=== debian/changelog ===
gtg-trace (0.2-2+dfsg-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:18:40 +0000

gtg-trace (0.2-2+dfsg-2) unstable; urgency=medium

  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.8 (no changes).
  * compat: Bump to 9.
  * rules: Clear.
  * control: Drop hardening-wrapper dependency (Closes: Bug#836629).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:27:18 +0200

gtg-trace (0.2-2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #748973)
  * Fix watch mangling.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jun 2014 11:30:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with autotools-dev,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-otf=/usr

## gtg-trace 0.2-2+dfsg

=== debian/changelog ===
gtg-trace (0.2-2+dfsg-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Add zlib1g-dev build-dep, add libgtg-tools package.
  * patches/clang: Fix build with clang.
  * Bump debhelper from 10 to 12.
    - not-installed: Note that we don't install .la files, and we install the
    doc in the proper place by hand.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 10.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.5.0, no changes needed.
  * Remove Section on libgtg0 that duplicates source.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 00:40:06 +0100

gtg-trace (0.2-2+dfsg-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Replace autotools-dev dep with debhelper (>= 9.20160114) dep.
  * rules: Drop --with autotools_dev.
  * watch: Generalize pattern.
  * copyright: Add missing licence name.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 13:27:48 +0100

gtg-trace (0.2-2+dfsg-5) unstable; urgency=medium

  * patches/doc-nopdf: Disable building pdf documentation
    (Closes: Bug#921768).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 00:30:44 +0100

gtg-trace (0.2-2+dfsg-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * control: Make libgtg-dev Multi-Arch: same.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 17:14:30 +0100

gtg-trace (0.2-2+dfsg-3) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.4.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:24:28 +0200

=== debian/control ===
Source: gtg-trace
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12),
	libotf-trace-dev, gfortran, mpi-default-dev, zlib1g-dev,
	doxygen, doxygen-latex
Standards-Version: 4.5.0
Section: libs
Homepage: https://gforge.inria.fr/projects/gtg/
Vcs-Git: https://salsa.debian.org/debian/gtg-trace.git
Vcs-Browser: https://salsa.debian.org/debian/gtg-trace

Package: libgtg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgtg0 (= ${binary:Version}), ${misc:Depends}
Description: Generic Trace Generator (GTG) - development files
 The GTG library provides a low level library to generate execution
 traces in Paje or OTF formats.
 .
 This package contains the development files

Package: libgtg0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Generic Trace Generator (GTG) - shared library
 The GTG library provides a low level library to generate execution
 traces in Paje or OTF formats.
 .
 This package contains the shared library.

Package: libgtg-tools
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic Trace Generator (GTG) - tools
 The GTG library provides a low level library to generate execution
 traces in Paje or OTF formats.
 .
 This package contains tools to manipulate gtg files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-otf=/usr

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://gforge.inria.fr/frs/?group_id=2813 /frs/download.php/.*/gtg-@ANY_VERSION@@ARCHIVE_EXT@

## gtg-trace 0.2-3

=== debian/changelog ===
gtg-trace (0.2-3-5) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Update standards version to 4.6.2, no changes needed.
  * control: Replace gfortran build-dep with gfortran-for-host.
  * rules: Use triplet for gfortran.
  * tests/control: Allow stderr (Closes: Bug#1111905)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Aug 2025 22:13:20 +0200

gtg-trace (0.2-3-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * Disable binding on the smoke test too.
  * patches/git-make-shuffle: Fix make --shuffle build.

  [ Graham Inggs ]
  * rules: Handle nocheck build option (Closes: Bug#1091443)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Mar 2025 16:58:09 +0100

gtg-trace (0.2-3-3) unstable; urgency=medium

  * control: Update upstream URL.
  * test-mpi.c, rules: Add MPI smoketest
  * patches/check: Disable binding (Closes: Bug#1086273)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Oct 2024 20:00:28 +0100

gtg-trace (0.2-3-2) unstable; urgency=medium

  * clean: Clean generated files (Closes: Bug#1044886)
  * patches/implicit: Fix build with qa=+bug-implicit-func (Closes: #1066332).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 12:49:04 +0100

gtg-trace (0.2-3-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release
    - patches/clang: Upstreamed.
    - rules: Enable building doc.
    - docs: Drop gtg_refmanual.pdf.
  * control: Set Rules-Requires-Root to no.
  * watch: Update to new home.
  * gbp.conf: Add filter to repack upstream tarball.
  * patches/check: Add check target.
  * patches/debug: Add some debugging information.
  * patches/disable-mpi-otf: Disable mpi + otf, which is currently broken.
  * patches/fix: Fix timestamp ordering.
  * patches/warnings: Fix test build warnings.
  * patches/no-stderr: Avoid printing on stderr.
  * patches/cppflags: Include CPPFLAGS in test compilation.
  * tests/control: Add autopkgtest.
  * rules: Run check.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Aug 2023 18:08:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gtg-trace
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12),
-	libotf-trace-dev, gfortran, mpi-default-dev, zlib1g-dev,
+Build-Depends: debhelper-compat (= 13),
+	libotf-trace-dev, gfortran-for-host, mpi-default-dev, zlib1g-dev,
 	doxygen, doxygen-latex
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Section: libs
-Homepage: https://gforge.inria.fr/projects/gtg/
+Homepage: https://github.com/trahay/Generic-Trace-Generator
 Vcs-Git: https://salsa.debian.org/debian/gtg-trace.git
 Vcs-Browser: https://salsa.debian.org/debian/gtg-trace

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_configure:
	F77=$(F77) dh_auto_configure -- --with-otf=/usr --with-doc

override_dh_auto_test:
	echo "Running MPI smoketest, don't report failure here to gtg-trace, but to the mpi implementation"
	mpicc debian/test-mpi.c $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o debian/test-mpi
	mpirun --host localhost:2 -np 2 --bind-to none debian/test-mpi | grep 1/2
	echo MPI smoketest OK

	make -C test check

override_dh_auto_clean:
	rm -f debian/test-mpi
	dh_auto_clean

=== debian/tests/control ===
Depends: build-essential, libgtg-dev, mpi-default-dev
Test-Command: make -C test GTG_INC=/usr/include GTG_LIB=/usr/lib check
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/trahay/Generic-Trace-Generator/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
